#include <ozone.h>
SonarA mySonar(16);			//設定模組編號為16

uint8_t Status;				//儲存取得的偵測結果狀態
uint16_t Distance;			//儲存取得的偵測結果
void setup()							
{
}
void loop()
{
  do {
    mySonar.Ranging()	;		//執行偵測	
    delay(100);				//等待100ms
    Status= mySonar.GetDistance(1, Distance);	//取得偵測結果
  } 
  while(Status != 1);			//迴圈停止條件(Status = 1)
  Serial.print("Distance=");
  Serial.println(Distance);
  delay(100);	
}




